
# xc3s-sdram-01 46.99   x 37.465 (0.2)
# xc2c32a-01    23.9711 x 29.3688
# plltst-01     11.5739 x 23.2127
# pmpset1-03    48.8951 x 49.8413
# clk44         20.955 x 18.415
               
# um162r2       18.9325 31.6325
# xc3s-opt-xx   22.4631 x 18.2563
# sc189         10.795 x 13.97
# sc189x        10.1599 x 15.3987

# G[TB]L cmp/sol + out
# G[TB]O plc/pls + out
# G[TB]P pac/pas + out
# G[TB]S stc/sts + out
# TXT    drd ( xxx )
# TXT EXCELLON Offset 0/0 no mark


TOOLDIR=./gerbtool-0.5
OUTBASE=fpgaset1

EXT_LIST="drd plc sol cmp pls stc sts pac pas"
#EXT_LIST="drd sol out"

 perl $TOOLDIR/gerbx2.pl out/layout.out > $OUTBASE.dim


for i in $EXT_LIST
do
   if [ $i = drd ]; then
	CMD="perl $TOOLDIR/drdmerge.pl"
   else
	CMD="perl $TOOLDIR/gerbmerge.pl"
   fi
	F=""
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc3s50a-sdram-05.out`    -x  0.1mm -y  0.1mm out/xc3s50a-sdram-05.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc2c32a-01.out` -x 0.1mm -y  49.9mm out/xc2c32a-01.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc2c32a-01.out` -x 0.1mm -y  75.9mm out/xc2c32a-01.$i"
#	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/plltst-01.out` -r -x 33.0mm -y  50.4mm out/plltst-01.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/2x5rot.out` -x 33.0mm -y  49.9mm out/2x5rot.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/2x5flip.out` -x 33.0mm -y  63.1mm out/2x5flip.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/sc120.out` -x 33.0mm -y  75.9mm out/sc120.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/sc189.out` -x 33.0mm -y  89.1mm out/sc189.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/pmpset1-03.out` -x 50.05mm -y  51.1mm out/pmpset1-03.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc3s50a-opt-pll.out` -x 40.0mm -y  0.1mm out/xc3s50a-opt-pll.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc3s50a-opt-usb.out` -x 60.5mm -y  0.1mm out/xc3s50a-opt-usb.$i"
#	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc3s50a-opt-microsd.out` -x 81.6mm -y  0.1mm out/xc3s50a-opt-microsd.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc3s50a-opt-microsd.out` -x 40.0mm -y  25.0mm out/xc3s50a-opt-microsd.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc3s50a-opt2-usb.out` -x 60.5mm -y  25.0mm out/xc3s50a-opt2-usb.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/um162r2.out` -r -x 81.0mm -y 0.1mm out/um162r2.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/sc189x.out` -x 84.5mm -y 35.0mm out/sc189x.$i"
   if [ $i != drd ]; then
	F="$F -g `perl $TOOLDIR/gerbgeom.pl $OUTBASE.dim` -x 0.1mm -y  0.1mm $OUTBASE.dim"
   fi
$CMD $F > $OUTBASE.$i
done


mv $OUTBASE.stc $OUTBASE.GTS
mv $OUTBASE.cmp $OUTBASE.GTL
mv $OUTBASE.plc $OUTBASE.GTO
mv $OUTBASE.sts $OUTBASE.GBS
mv $OUTBASE.sol $OUTBASE.GBL
mv $OUTBASE.pls $OUTBASE.GBO
 perl $TOOLDIR/drdshrink.pl $OUTBASE.drd > $OUTBASE.TXT
mv $OUTBASE.pac $OUTBASE.GTP
mv $OUTBASE.pas $OUTBASE.GBP
rm $OUTBASE.drd
rm $OUTBASE.dim
